"use server"
import prisma from "./db"
export async function getStories() {
	return prisma.story.findMany()
}
export async function getStoriesWithGenres() {
	return prisma.story.findMany(
		{
			include: {
				genres: true
			}
		}

	)
}
export async function getStoriesWithGenresAndSubs() {
	return prisma.story.findMany({
		include: {
			genres: true,
			subs: true
		}
	})
}

export async function getPubs() {
	return prisma.pub.findMany()
}
export async function getPubsWithGenres() {
	return prisma.pub.findMany({
		include: { genres: true }
	})
}

export async function getGenres() {
	return prisma.genre.findMany()
}
export async function getResponses() {
	return prisma.response.findMany()
}

export async function getSubs() {
	return prisma.sub.findMany()
}

export async function getSubsComplete() {
	return prisma.sub.findMany({
		include: {
			story: true,
			pub: true,
			response: true
		}
	})
}
