"use client"
import { createStory } from "app/lib/create"
import { Dialog, DialogHeader, DialogTrigger, DialogContent, DialogClose, DialogTitle, DialogFooter, DialogDescription } from "@/components/ui/dialog";
import { Button } from "@/components/ui/button";
import { ComponentProps, useState } from "react";
import { Genre } from "@prisma/client";
import StoryForm from "app/ui/forms/story";
import { Plus } from "lucide-react";


export default function CreateStoryDialog({ genres }: ComponentProps<"div"> & { genres: Genre[] }) {

  const [isOpen, setIsOpen] = useState(false)
  function closeDialog() {
    setIsOpen(false)
  }

  return (
    <Dialog open={isOpen} onOpenChange={setIsOpen}>
      <DialogTrigger asChild>
        <div>
          <Button className="hidden md:block">Create new story</Button>
          <Button className="block md:hidden"><Plus /> </Button>
        </div>
      </DialogTrigger>
      <DialogContent>
        <DialogHeader>
          <DialogTitle>New story</DialogTitle>
          <DialogDescription>Create an entry for a new story i.e. a thing you intend to submit for publication.</DialogDescription>
        </DialogHeader>
        <StoryForm dbAction={createStory} genres={genres} className="" closeDialog={closeDialog} />
        <DialogFooter>
          <Button form="storyform">Submit</Button>
        </DialogFooter>

      </DialogContent>
    </Dialog>
  )
}

