import { ComponentProps } from "react";

export function CreateContainer({ children }: ComponentProps<"div">) {
  return <div className="w-2/5 m-auto bg-card rounded-t-3xl border-border">{children}</div>
}

export function CreateContainerHeader({ children }: ComponentProps<"h1">) {
  return <h1 className="text-primary-foreground bg-primary w-full font-black text-3xl p-5 rounded-t-3xl">{children}</h1>
}

export function CreateContainerDescription({ children }: ComponentProps<"p">) {
  return <p className="">{children}</p>
}

export function CreateContainerContent({ children, className }: ComponentProps<"div">) {
  return <div className="p-6">
    {children}
  </div>
}



