"use client"
import { Button } from "@/components/ui/button"
import { LogOutIcon } from "lucide-react"
import { useRouter } from "next/navigation"


export default function LogoutButton() {
  const router = useRouter()

  async function handleLogout() {
    const res = await fetch('/api/auth/logout', {
      method: 'POST',
      headers: {
        'Content-type': 'application/json',
      }
    })
    console.log(res)
    router.refresh()
  }

  return (
    <Button variant="outline" className="w-fit" onClick={handleLogout} >
      <LogOutIcon />
    </Button>
  )
}
